%define	oname	Pmw

Summary:	Python toolkit for building compound Tkinter widgets
Name:		python-pmw
Version:	2.0.1
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
Url:		http://sourceforge.net/projects/pmw
Source0:	https://pypi.python.org/packages/source/P/%{oname}/%{oname}-2.0.1.tar.xz
Buildarch:	noarch
BuildRequires:	python-devel
Requires:	blt tkinter python
Obsoletes:	%{oname}
Provides:	%{oname} = %{version}-%{release}

%description
Pmw is a toolkit for building high-level compound widgets in Python 
using the Tkinter module. It consists of a set of base classes and a 
library of flexible and extensible megawidgets built on this foundation. 
These megawidgets include notebooks, comboboxes, selection widgets, paned 
widgets, scrolled widgets and dialog windows. 

%package 	-n python3-pmw
Summary:    	Python3 toolkit for building compound Tkinter widgets
Group:      	Development/Python
BuildRequires: 	python3-devel
Requires:	blt tkinter3 python3

%description -n python3-pmw
Pmw is a toolkit for building high-level compound widgets in Python3
using the Tkinter module. It consists of a set of base classes and a 
library of flexible and extensible megawidgets built on this foundation. 
These megawidgets include notebooks, comboboxes, selection widgets, paned 
widgets, scrolled widgets and dialog windows.

%prep
%setup -qn %{oname}-%{version} 
cp -a . %{py3dir} 

%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python} setup.py build

%install
pushd %{py3dir} 
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%{__python} setup.py install --skip-build --root %{buildroot}

%files
%{python_sitelib}/%{oname}
%{python_sitelib}/*.egg-info

%files -n python3-pmw
%{python3_sitelib}/%{oname}
%{python3_sitelib}/*.egg-info


%changelog
* Wed Dec 27 2017 Zen Subz <techars21 at gmail dot com> - 2.0.1-1pclos2017
- Update to latest release
